ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 13/01/2018 - 18:21
נושא ההודעה: הודעת שגיאה בעליית לינוקס אחרי עדכון קרנל

היה לי קרנל 4.8 ועדכנתי אותו ל-4.10 ואחר כך ל-4.14. בשני העידכונים קיבלתי הודעות שגיאה בזמן עליית הלינוקס, אבל הלינוקס עצמו עלה תקין.

הודעות השגיאה היו:
קוד:
ACPI Exception

וגם
קוד:
Method parse/execution failed


בהתקנת קרנל 4.10 (לפני עליית לינוקס) היה כתוב
Warning: No support for locale: en_US.utf8

הפתרון שקראתי הוא להוסיף לקובץ etc/rc.local/:
קוד:
echo "disable" > /sys/firmware/acpi/interrupts/gpe6F


בהתקנת 4.14 היו יותר הודעות שגיאה, כמו
W: Possible missing firmware /lib/firmware/nvidia/gp107/sec2/sig.bin for module nouveau
ועוד הרבה קבצים:
image.bin, desc.bin, scrubber.bin
כל הקבצים היו קשורים ל-nvidia (כרטיס המסך), סה"כ 100 קבצים כאלה עם הודעות שגיאה.
בסוף החזרתי לקרנל 4.8 והלינוקס עולה בלי הודעת שגיאה. האם יש מה לעשות?

כאן כתבתי את ההסבר באנגלית לפתרון השגיאה:
קוד:

It seems that adding acpi=off to kernel arguments could eliminate this error, but that will also disable all the ACPI functionality and the system would not be shut down properly (got stuck when do a sudo reboot).

I also updated to the latest BIOS (v2.80) from AsRock, that still does not fix the problem.

Finally, later on that thread, somebody mentioned that we could just disable the GPE.L6F function by echoing disable to a specific pseudo file in /sys directory, hence the solution mentioned earlier.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 13/01/2018 - 21:16
נושא ההודעה:

על איזה לינוקס אתה?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 13/01/2018 - 22:07
נושא ההודעה:

בכל אופן, השגיאות שאתה מתאר בקרנל 4.14 הן בדיוק מה שהן אומרות.
יש ספרייה בשם:
קוד:
/lib/firmware

שם צריכים להיות מונחים קבצי ה-firmware של כרטיס המסך שלך.
במקרה שלך nvidia (במקרה שלי ATI)
לי הייתה בעיה דומה מלבד שלא הצלחתי למצוא הודעות שגיאה טובות כמו שלך, אבל מסתבר שבקרנל 4.14 נוספו עוד קבצי firmware שהייתי צריך שיהיו לי בתוך הספרייה הזו.
והם לא היו ולא ידעתי שהם צריכים להיות כי אף אחד לא אמר לי (עד שכן אמרו לי והצלחתי לפתור את זה)
ולכן לא הצלחתי להפעיל אצלי את gnome, כלומר המחשב עלה עם כל ההודעות של systemd אבל לקראת הפעלת שולחן העבודה הוא פשוט נעצר ולא המשיך.

בכל אופן, לפי הודעות השגיאה שלך, יש לי הרגשה שאתה לא על ג'נטו (כי אצלי לא היו הודעות שגיאה) ואם כך, אני מניח שאתה על הפצה שאמורה לטפל בזה באופן אוטומטי.
לכאורה ולכן זה מוזר...
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
האורח הראשוןאורח · ·
 

הודעה פורסם: 14/01/2018 - 00:28
נושא ההודעה: תגובה: הודעת שגיאה בעליית לינוקס אחרי עדכון קרנל

ההפצה היא לינוקס מינט 18.3 קינמון (סילביה), אחרי שדרוג מ-18.2.
יש לי גם הפצה של 18.3 KDE באותו מחשב על מחיצה אחרת, וכששידרגתי אותה מ-18.2, גם הקרנל השתדרג ל-4.10 ללא הודעת שגיאה.
אבל אחרי שדרוג קינמון, ראיתי שהקרנל לא השתדרג ונשאר 4.8. שידרגתי ל-4.10 ואז יצאה הודעת השגיאה הזאת בזמן ה-POST.
בשלב זה אוסיף את השורה שכתבתי בהודעתי הראשונה בשדרוג ל-4.10, בלי לשדרג ל-4.14. מדבריך הבנתי שב-4.14 אני צריך לאתר 100 קבצים ולשים אותם בספרייה הזאת.
אני מעדיף ללכת על תורכי אחד, ולראות אם הוספת השורה מסירה את הודעת השגיאה. חשוב לי לציין ששולחן העבודה לא נתקע בשום שלב. הוא כותב הודעות שגיאה בזמן הפוסט, וממשיך לעלות, גם ב-4.10 וגם ב-4.14, והכל עובד (עד כמה שראיתי).

Anonymous :
בכל אופן, השגיאות שאתה מתאר בקרנל 4.14 הן בדיוק מה שהן אומרות.
יש ספרייה בשם:
קוד:
/lib/firmware

שם צריכים להיות מונחים קבצי ה-firmware של כרטיס המסך שלך.
במקרה שלך nvidia (במקרה שלי ATI)
לי הייתה בעיה דומה מלבד שלא הצלחתי למצוא הודעות שגיאה טובות כמו שלך, אבל מסתבר שבקרנל 4.14 נוספו עוד קבצי firmware שהייתי צריך שיהיו לי בתוך הספרייה הזו.
והם לא היו ולא ידעתי שהם צריכים להיות כי אף אחד לא אמר לי (עד שכן אמרו לי והצלחתי לפתור את זה)
ולכן לא הצלחתי להפעיל אצלי את gnome, כלומר המחשב עלה עם כל ההודעות של systemd אבל לקראת הפעלת שולחן העבודה הוא פשוט נעצר ולא המשיך.

בכל אופן, לפי הודעות השגיאה שלך, יש לי הרגשה שאתה לא על ג'נטו (כי אצלי לא היו הודעות שגיאה) ואם כך, אני מניח שאתה על הפצה שאמורה לטפל בזה באופן אוטומטי.
לכאורה ולכן זה מוזר...
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הקרנלאורח · ·
 

הודעה פורסם: 14/01/2018 - 01:06
נושא ההודעה:

ציטוט:
בסוף החזרתי לקרנל 4.8 והלינוקס עולה בלי הודעת שגיאה. האם יש מה לעשות?

כן, להשאר עם 4.8.
לא מוכרחים לשדרג אותי בכל מחיר. אין בזה שום צורך.
גם המפתח הראשי של מינט אמר זאת בעבר מספר פעמיים.
לפני שאתה משדרג/מעדכן תעבור על הרשימת החבילות שמציע מנהל העידכונים, ואם תראה שידרוג לקרנל, פשוט תבטל אותו.

לעדכן, כן.
לשדרג, לא. Smile
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח
  3. אורח
  4. אורח [האורח הראשון]
  5. אורח [הקרנל]

Google Ads